Bug 4129 - smbd panics at first start after joining domain
smbd panics at first start after joining domain
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.21c
Other Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 04:45 UTC by Jens Nissen
Modified: 2007-01-24 09:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Nissen 2006-09-28 04:45:31 UTC
smbd panics at first start after joining domain
Lock Dir and Private Dir do exist, are owned by root:root and are both 755 and are completely empty.

I am joining a Windows XP domain successfully (kinit/net join).
Then, the very first start of smbd fails as below, after a restart, the smbd works fine.

Looking at the log, I have the impression, that creating the passdb happens too late as it is accessed before it is created.

If I can be of further assistance, please send a mail!
Kindly awaiting your help, jens. 

---------------------------------------------------------------
Log from smbd
---------------------------------------------------------------

[2006/09/28 11:18:12, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2006/09/28 11:18:12, 2] smbd/server.c:exit_server(614)
  Closing connections
[2006/09/28 11:18:12, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2006/09/28 11:18:12, 2] smbd/server.c:exit_server(614)
  Closing connections
[2006/09/28 11:18:12, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to
[2006/09/28 11:18:12, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to
[2006/09/28 11:18:12, 3] smbd/connection.c:yield_connection(76)
  yield_connection: tdb_delete for name  failed with error Record does not exist.
[2006/09/28 11:18:12, 3] smbd/server.c:exit_server(655)
[2006/09/28 11:18:12, 3] smbd/server.c:exit_server(655)
  Server exit (Caught TERM signal)
  Server exit (Caught TERM signal)
[2006/09/28 11:19:49, 2] lib/interface.c:add_interface(81)
  added interface ip=192.168.1.3 bcast=192.168.1.255 nmask=255.255.255.0
[2006/09/28 11:19:49, 2] lib/interface.c:add_interface(81)
  added interface ip=127.0.0.1 bcast=127.255.255.255 nmask=255.0.0.0
[2006/09/28 11:19:49, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2006/09/28 11:19:49, 3] smbd/uid.c:push_conn_ctx(393)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2006/09/28 11:19:49, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2006/09/28 11:19:49, 0] passdb/pdb_tdb.c:tdbsam_tdbopen(196)
  Unable to open/create TDB passwd
[2006/09/28 11:19:49, 0] passdb/pdb_tdb.c:tdbsam_getsampwrid(490)
  pdb_getsampwrid: Unable to open TDB rid database!
[2006/09/28 11:19:49, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2006/09/28 11:19:49, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2006/09/28 11:19:49, 3] smbd/uid.c:push_conn_ctx(393)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2006/09/28 11:19:49, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2006/09/28 11:19:49, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2006/09/28 11:19:49, 3] smbd/uid.c:push_conn_ctx(393)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2006/09/28 11:19:49, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2006/09/28 11:19:49, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2006/09/28 11:19:49, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2006/09/28 11:19:49, 1] lib/account_pol.c:account_policy_get(324)
  account_policy_get: tdb_fetch_uint32 failed for field 1 (min password length), returning 0
[2006/09/28 11:19:49, 1] lib/account_pol.c:account_policy_get(324)
  account_policy_get: tdb_fetch_uint32 failed for field 2 (password history), returning 0
[2006/09/28 11:19:49, 1] lib/account_pol.c:account_policy_get(324)
  account_policy_get: tdb_fetch_uint32 failed for field 3 (user must logon to change password), returning 0
[2006/09/28 11:19:49, 1] lib/account_pol.c:account_policy_get(324)
  account_policy_get: tdb_fetch_uint32 failed for field 4 (maximum password age), returning 0
[2006/09/28 11:19:49, 1] lib/account_pol.c:account_policy_get(324)
  account_policy_get: tdb_fetch_uint32 failed for field 5 (minimum password age), returning 0
[2006/09/28 11:19:49, 1] lib/account_pol.c:account_policy_get(324)
  account_policy_get: tdb_fetch_uint32 failed for field 6 (lockout duration), returning 0
[2006/09/28 11:19:49, 1] lib/account_pol.c:account_policy_get(324)
  account_policy_get: tdb_fetch_uint32 failed for field 7 (reset count minutes), returning 0
[2006/09/28 11:19:49, 1] lib/account_pol.c:account_policy_get(324)
  account_policy_get: tdb_fetch_uint32 failed for field 8 (bad lockout attempt), returning 0
[2006/09/28 11:19:49, 1] lib/account_pol.c:account_policy_get(324)
  account_policy_get: tdb_fetch_uint32 failed for field 9 (disconnect time), returning 0
[2006/09/28 11:19:49, 1] lib/account_pol.c:account_policy_get(324)
  account_policy_get: tdb_fetch_uint32 failed for field 10 (refuse machine password change), returning 0
[2006/09/28 11:19:49, 3] smbd/server.c:main(840)
  loaded services
[2006/09/28 11:19:49, 3] smbd/server.c:main(855)
  Becoming a daemon.
[2006/09/28 11:19:49, 2] lib/tallocmsg.c:register_msg_pool_usage(61)
  Registered MSG_REQ_POOL_USAGE
[2006/09/28 11:19:49, 2] lib/dmallocmsg.c:register_dmalloc_msgs(71)
  Registered MSG_REQ_DMALLOC_MARK and LOG_CHANGED
[2006/09/28 11:19:49, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2006/09/28 11:19:49, 3] smbd/uid.c:push_conn_ctx(393)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2006/09/28 11:19:49, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2006/09/28 11:19:49, 0] passdb/pdb_tdb.c:tdbsam_tdbopen(196)
  Unable to open/create TDB passwd
[2006/09/28 11:19:49, 0] passdb/pdb_tdb.c:tdbsam_tdbopen(196)
  Unable to open/create TDB passwd
[2006/09/28 11:19:49, 0] passdb/pdb_tdb.c:tdbsam_getsampwnam(425)
  pdb_getsampwnam: TDB passwd (/var/lib/adsamba/private/passdb.tdb) did not exist. File successfully created.
[2006/09/28 11:19:49, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2006/09/28 11:19:49, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 22311 (3.0.21c)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2006/09/28 11:19:49, 0] lib/fault.c:fault_report(39)

  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2006/09/28 11:19:49, 0] lib/fault.c:fault_report(40)
  ===============================================================
[2006/09/28 11:19:49, 0] lib/util.c:smb_panic2(1554)
  PANIC: internal error
[2006/09/28 11:19:49, 0] lib/util.c:smb_panic2(1562)
  BACKTRACE: 1 stack frames:
   #0 /sbin/smbd(smb_panic2+0x150) [0x1b04f0]

---------------------------------------------------------------
Output from testparm
---------------------------------------------------------------
Load smb config files from /etc/config/smb.conf.ads
Processing section "[homes]"
Processing section "[export]"
Processing section "[ads]"
Loaded services file OK.
WARNING: passdb expand explicit = yes is deprecated
Server role: ROLE_DOMAIN_MEMBER
[global]
        dos charset = ISO-8859-1
        unix charset = ISO-8859-1
        display charset = ISO-8859-1
        workgroup = DOMAIN
        realm = DOMAIN.LOCAL
        server string = changed
        interfaces = ixp0, lo
        security = ADS
        update encrypted = Yes
        password server = server.domain.local
        smb passwd file = /var/lib/adsamba/smbpasswd
        private dir = /var/lib/adsamba/private
        passdb backend = tdbsam
        passwd program = /usr/bin/passwd %u
        passwd chat = *Enter\snew\spassword:* %n\n *Re-enter\snew\spassword:* %n\n .
        unix password sync = Yes
        log file = /var/log/smblog.%m
        max log size = 5
        socket options = TCP_NODELAY IPTOS_LOWDELAY SO_KEEPALIVE SO_RCVBUF=8192 SO_SNDBUF=8192
        load printers = No
        lock directory = /var/lib/adsamba
        idmap uid = 1000-1500
        idmap gid = 1000-1500
        invalid users = root

[homes]
        comment = Home Directories
        read only = No
        browseable = No

[export]
        comment = Export file share space
        path = /export
        read only = No
        guest only = Yes
        guest ok = Yes

[ads]
        comment = ADS Share
        path = /ads
        read only = No
Comment 1 Volker Lendecke 2006-09-28 13:16:14 UTC
I'm pretty sure this is fixed in 3.0.23c. Please re-test against that and re-open the bug if it's still there.

Thanks,

Volker
Comment 2 Jens Nissen 2007-01-24 09:32:47 UTC
Bug solved at least in 3.023d